This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1290801 - [abrt] totem: demuxer_source_pad_probe(): totem killed by SIGSEGV
[abrt] totem: demuxer_source_pad_probe(): totem killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gstreamer1-plugins-good (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Brian Pepple
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:3a1efa228120ab2e4f269569212...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-11 08:46 EST by Francesco Frassinelli (frafra)
Modified: 2016-12-20 11:55 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 11:55:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (118.28 KB, text/plain)
2015-12-11 08:46 EST, Francesco Frassinelli (frafra)
no flags Details
File: cgroup (190 bytes, text/plain)
2015-12-11 08:46 EST, Francesco Frassinelli (frafra)
no flags Details
File: core_backtrace (42.34 KB, text/plain)
2015-12-11 08:46 EST, Francesco Frassinelli (frafra)
no flags Details
File: dso_list (20.22 KB, text/plain)
2015-12-11 08:46 EST, Francesco Frassinelli (frafra)
no flags Details
File: environ (3.31 KB, text/plain)
2015-12-11 08:46 EST, Francesco Frassinelli (frafra)
no flags Details
File: exploitable (93 bytes, text/plain)
2015-12-11 08:46 EST, Francesco Frassinelli (frafra)
no flags Details
File: limits (1.29 KB, text/plain)
2015-12-11 08:46 EST, Francesco Frassinelli (frafra)
no flags Details
File: maps (89.53 KB, text/plain)
2015-12-11 08:46 EST, Francesco Frassinelli (frafra)
no flags Details
File: mountinfo (3.65 KB, text/plain)
2015-12-11 08:46 EST, Francesco Frassinelli (frafra)
no flags Details
File: namespaces (85 bytes, text/plain)
2015-12-11 08:46 EST, Francesco Frassinelli (frafra)
no flags Details
File: open_fds (2.05 KB, text/plain)
2015-12-11 08:46 EST, Francesco Frassinelli (frafra)
no flags Details
File: proc_pid_status (1013 bytes, text/plain)
2015-12-11 08:46 EST, Francesco Frassinelli (frafra)
no flags Details
File: var_log_messages (290 bytes, text/plain)
2015-12-11 08:46 EST, Francesco Frassinelli (frafra)
no flags Details

  None (edit)
Description Francesco Frassinelli (frafra) 2015-12-11 08:46:20 EST
Description of problem:
$ wget https://upload.wikimedia.org/wikipedia/en/9/9f/Sample_of_%22Another_Day_in_Paradise%22.ogg
$ oggResize -F 48000 Sample_of_\"Another_Day_in_Paradise\".ogg Sample_of_\"Another_Day_in_Paradise\"_oggResize.ogg

Version-Release number of selected component:
totem-3.18.1-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        totem all.vorbis
crash_function: demuxer_source_pad_probe
executable:     /usr/bin/totem
global_pid:     11137
kernel:         4.2.6-301.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 demuxer_source_pad_probe at gstdecodebin2.c:2032
 #1 probe_hook_marshal at gstpad.c:3353
 #2 g_hook_list_marshal at ghook.c:672
 #3 do_probe_callbacks at gstpad.c:3505
 #4 gst_pad_push_event_unchecked at gstpad.c:5097
 #5 gst_pad_push_event at gstpad.c:5258
 #6 gst_ogg_demux_perform_seek_pull at gstoggdemux.c:3462
 #7 gst_ogg_demux_perform_seek at gstoggdemux.c:3887
 #8 gst_ogg_pad_event at gstoggdemux.c:434
 #9 gst_pad_send_event_unchecked at gstpad.c:5454
Comment 1 Francesco Frassinelli (frafra) 2015-12-11 08:46:27 EST
Created attachment 1104679 [details]
File: backtrace
Comment 2 Francesco Frassinelli (frafra) 2015-12-11 08:46:28 EST
Created attachment 1104680 [details]
File: cgroup
Comment 3 Francesco Frassinelli (frafra) 2015-12-11 08:46:31 EST
Created attachment 1104681 [details]
File: core_backtrace
Comment 4 Francesco Frassinelli (frafra) 2015-12-11 08:46:33 EST
Created attachment 1104682 [details]
File: dso_list
Comment 5 Francesco Frassinelli (frafra) 2015-12-11 08:46:35 EST
Created attachment 1104683 [details]
File: environ
Comment 6 Francesco Frassinelli (frafra) 2015-12-11 08:46:36 EST
Created attachment 1104684 [details]
File: exploitable
Comment 7 Francesco Frassinelli (frafra) 2015-12-11 08:46:38 EST
Created attachment 1104685 [details]
File: limits
Comment 8 Francesco Frassinelli (frafra) 2015-12-11 08:46:41 EST
Created attachment 1104686 [details]
File: maps
Comment 9 Francesco Frassinelli (frafra) 2015-12-11 08:46:43 EST
Created attachment 1104687 [details]
File: mountinfo
Comment 10 Francesco Frassinelli (frafra) 2015-12-11 08:46:44 EST
Created attachment 1104688 [details]
File: namespaces
Comment 11 Francesco Frassinelli (frafra) 2015-12-11 08:46:46 EST
Created attachment 1104690 [details]
File: open_fds
Comment 12 Francesco Frassinelli (frafra) 2015-12-11 08:46:47 EST
Created attachment 1104691 [details]
File: proc_pid_status
Comment 13 Francesco Frassinelli (frafra) 2015-12-11 08:46:49 EST
Created attachment 1104692 [details]
File: var_log_messages
Comment 14 Bastien Nocera 2016-09-21 11:54:29 EDT
(In reply to Francesco Frassinelli (frafra) from comment #0)
> Description of problem:
> $ wget
> https://upload.wikimedia.org/wikipedia/en/9/9f/
> Sample_of_%22Another_Day_in_Paradise%22.ogg
> $ oggResize -F 48000 Sample_of_\"Another_Day_in_Paradise\".ogg
> Sample_of_\"Another_Day_in_Paradise\"_oggResize.ogg

I'm going to guess this is a bug in the ogg demuxer. oggTranscode (the new name for oggResize) just crashes, so I can't reproduce this problem anymore.

Can you upload the resized file, if it can still reproduce the crash?
Comment 15 Fedora End Of Life 2016-11-24 09:09:58 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 16 Fedora End Of Life 2016-12-20 11:55:29 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.